#默认数据库编码为uft8mb4
#XXXX为自定义内容


#无限级分类表
CREATE TABLE `XXXX_class` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
#单层结构的不需要这行  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT '上级科目id',
  `XXXX_code` varchar(191) NOT NULL DEFAULT '' COMMENT 'XXXX编码', #需要走索引的话最长不能超过191
  `XXXX_name` varchar(191) NOT NULL DEFAULT '' COMMENT 'XXXX名称', #需要走索引的话最长不能超过191
  `is_end_class` tinyint(4) NOT NULL DEFAULT '1' COMMENT '是否末级(1是0否)',
  `valid` tinyint(4) NOT NULL DEFAULT '1' COMMENT '是否可用（0禁用，1可用）',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`),
#单层结构的不需要这行  KEY `parent_id` (`parent_id`),
  KEY `XXXX_code` (`XXXX_code`),
  KEY `XXXX_name` (`XXXX_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='XXXX业务分类表';



#一对多信息表  start
CREATE TABLE `XXXX_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `XXXX_class_id` int(11) NOT NULL DEFAULT '0' COMMENT 'XXXX业务分类表id',
  `XXXX_time` bigint(20) NOT NULL DEFAULT '0' COMMENT 'XXXX业务时间', #能够为空的时间字段最好不要用date_time与timestamp,因为某些版本的mysql可能not null的时候会报错
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `XXXX_class_id` (`XXXX_class_id`),
  KEY `XXXX_time` (`XXXX_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='XXXX业务表';

CREATE TABLE `XXXX_info_item` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `XXXX_info_id` int(11) NOT NULL DEFAULT '0' COMMENT 'XXXX业务表主键id',
  `XXXX_item_name` varchar(64) NOT NULL DEFAULT '' COMMENT '业务详情名',
  `XXXX_amount` bigint(20) NOT NULL DEFAULT '0' COMMENT '金额(单位分',
  PRIMARY KEY (`id`),
  KEY `XXXX_info_id` (`XXXX_info_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='XXXX业务表子表--XXXX详情表';

CREATE TABLE `XXXX_info_item_ids` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `XXXX_info_item_id` int(11) NOT NULL DEFAULT '0' COMMENT 'XXXX详情表id',
  `XXXX_id` int(11) NOT NULL DEFAULT '0' COMMENT '其它业务关联id',
  PRIMARY KEY (`id`),
  KEY `XXXX_info_item_id` (`XXXX_info_item_id`),
  KEY `XXXX_id` (`XXXX_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='XXXX业务表子表--XXXX详情表子表--具体业务关联表';

#一对多信息表  end