# 基础框架

http://192.168.0.80:3000/yckj/yckj_framework

## 目录说明

```
|-- thinkphp6 后端项目，基于thinkPHP6
|-- d2-admin 后台前端项目，基于d2admin简化版本
|-- uniapp_cli 移动端前端项目，基于cli命令行的uniapp
  |-- public index.html模板目录
  |-- src 源码目录，如果是用hbuilderx编译，直接导入scr目录进行编译
```

### 项目配置

##### d2admin

基于以下配置，通过使用 vscode 作为编辑 器，可以实现保存代码时自动 补全和自动格式化功能。由于各种组件 eslint 编码规范不一致，是否使用由个人决定

###### .prettierrc

```
{
    "printWidth": 1000,
    "tabWidth": 2,
    "useTabs": true,
    "singleQuote": false,
    "semi": true,
    "trailingComma": "none",
    "bracketSpacing": true
}
```

###### .vscode/.settings.json

```
{
    "editor.lineNumbers": "on", //开启行数提示
    "editor.quickSuggestions": {
        //开启自动显示建议
        "other": true,
        "comments": true,
        "strings": true
    }, //制表符符号eslint
    "editor.formatOnSave": true, //每次保存自动格式化
    // "eslint.autoFixOnSave": true, // 每次保存的时候将代码按eslint格式进行修复
    "editor.codeActionsOnSave": {
        "source.fixAll": true
    },
    "prettier.eslintIntegration": true, //让prettier使用eslint的代码格式进行校验
    "prettier.semi": true, //去掉代码结尾的分号
    "prettier.singleQuote": false, //使用带引号替代双引号
    "javascript.format.insertSpaceBeforeFunctionParenthesis": true, //让函数(名)和后面的括号之间加个空格
    "vetur.format.defaultFormatter.html": "js-beautify-html", //格式化.vue中html
    "vetur.format.defaultFormatter.js": "vscode-typescript", //让vue中的js按编辑器自带的ts格式进行格式化
    "vetur.format.defaultFormatterOptions": {
        "js-beautify-html": {
            "wrap_attributes": "force-aligned" //属性强制折行对齐
        }
    },
    "eslint.validate": [
        "javascript",
        "javascriptreact",
        "html",
        "vue"
    ],
    "eslint.workingDirectories": []
}
```

###### .eslintignore 忽略 js 和 vue 文件

```
**/*.js
**/*.vue
```

### 相关知识

thinkphp 文档： [http://kancloud.cn/manual/thinkphp6_0/content](http://kancloud.cn/manual/thinkphp6_0/content)

d2admin 文档： [https://d2.pub/zh/doc/d2-admin/](https://d2.pub/zh/doc/d2-admin/)

uniapp 文档： [https://uniapp.dcloud.io/](https://uniapp.dcloud.io/)

[文档：d2admin 修改组件默认大小.note](http://note.youdao.com/noteshare?id=7aa4fdbbac32ee7683c6f835ccec67a2&sub=240C6888D9534DB5A8207A3E2BF5FFA3)

[文档：d2admin 不使用框架页面的方法.note](http://note.youdao.com/noteshare?id=51bad13c3e3d8ef94ab7b6015c2e2e01&sub=3C96C1300A474BB6815E6E3CB8135E20)

[文档：d2admin 修改环境变量.note](http://note.youdao.com/noteshare?id=566eb5adb8a6425ceb5f3b01f51df9d1&sub=5FE4BE2B48DD4E6CBE470C03F04B2DCC)

[文档：d2admin 部署在相对路径.note](http://note.youdao.com/noteshare?id=9249cc2c90291fd0193cb1f314c2daa4&sub=7A16FE8AA54B42ED9317DFA7FDD4B11F)

通用示例代码库： http://192.168.0.80:3000/yckj/yckj_common_code
